Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1740043 - Give an example for file used to enable API federation
Summary: Give an example for file used to enable API federation
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Federation
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: ---
Assignee: Aniket Bhat
QA Contact: Qin Ping
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-12 07:39 UTC by Qin Ping
Modified: 2020-05-06 00:02 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-06 00:02:51 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Qin Ping 2019-08-12 07:39:11 UTC
Description of problem:
Give an example for file used to enable API federation

Version-Release number of selected component (if applicable):
kubefedctl version: version.Info{Version:"v4.2.0", GitCommit:"b8ae65cee603cc9c746911debd3dc23b922222d8", GitTreeState:"clean", BuildDate:"2019-08-08T18:18:54Z", GoVersion:"go1.12.6", Compiler:"gc", Platform:"linux/amd64"}

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
$ kubefedctl enable -h

		Enables a Kubernetes API type (including a CRD) to be propagated
		to clusters registered with a KubeFed control plane.  A CRD for
		the federated type will be generated and a FederatedTypeConfig will
		be created to configure a sync controller.

		Current context is assumed to be a Kubernetes cluster hosting
		the kubefed control plane. Please use the
		--host-cluster-context flag otherwise.

Usage:
  kubefedctl enable (NAME | -f FILENAME) [flags]

Examples:

		# Enable federation of Deployments
		kubefedctl enable deployments.apps --host-cluster-context=cluster1

		# Enable federation of Deployments identified by name specified in
		# deployment.yaml
		kubefedctl enable -f deployment.yaml




Expected results:
Give an example for deployment.yaml

Additional info:

Comment 1 Maru Newby 2019-08-15 17:32:35 UTC
I think the `-f` flag should simply be removed. It was a convenience for testing and expected to be used by installers that would execute `kubefedctl enable` but that use never materialized.

Comment 2 Aniket Bhat 2019-08-15 17:55:03 UTC
The team thinks that the support for -f should be obsolete. I will create a PR for disabling this in the CLI.


Note You need to log in before you can comment on or make changes to this bug.